Skip to main content

RetailOrderItem

Retail order item provides access to the item level of the retail/web order resource. This is currently a read only resource when called on its own.

Example of a returned retail order item response

{
"response": {
"Page": 1,
"PageCount": 1,
"RecordsSent": 2,
"RecordsFound": 2,
"RetailOrderItem": [
{
"id": 1,
"Order_id": 1,
"Item_Ref": "",
"Host_Item_Ref": "",
"SKUSize": "A0000001010A",
"Barcode": "",
"Article": "FLORAL 1",
"Colour": "OFF WHITE",
"Size": "S",
"Marketplace_Status": "confirmed",
"Quantity": 2,
"Item_Price": 28.99,
"Line_Total": 57.98,
"VAT_Total": 0,
"RRP": 28.99,
"VAT_Status": false,
"VAT_Rate": 0,
"Despatch_Date": "0000-00-00T00:00:00.000Z",
"Details": null
},
{
"id": 2,
"Order_id": 1,
"Item_Ref": "SHIPPING",
"Host_Item_Ref": "",
"SKUSize": "",
"Barcode": "",
"Article": "Delivery",
"Colour": "",
"Size": "",
"Marketplace_Status": "",
"Quantity": 1,
"Item_Price": 0,
"Line_Total": 0,
"VAT_Total": 0,
"RRP": 0,
"VAT_Status": false,
"VAT_Rate": 0,
"Despatch_Date": "0000-00-00T00:00:00.000Z",
"Details": null
}
]
}
}

RetailOrderItem Properties​

PropertyExampleDescriptionAllowed in POST
id3421Unique id for the retail order itemNo
Order_id1300Order id links the item to the orderNo
Item_Ref"SHIPPING"testYes
Host_Item_Ref"XXX001" Marketplace/host reference for the line itemYes
SKUSize""Code for the product the order item is forYes (see note)
Barcode""Barcode for the stock itemYes
Article"Delivery"Article nameYes
Colour""Colour nameYes
Size""Size codeYes
Marketplace_Status"DEL"Status for the line item from external systemNo
Quantity1Quantity for the order itemYes Mandatory
Item_Price30Price the item was sold forYes Mandatory
Line_Total30Total value for the line item (Quantity * SalesPrice)No
VAT_Total4.92 VAT total for the lineYes
RRP0Original RRP from stock for the item (read only)No
VAT_Statustrue Indicates the item is vatableYes
VAT_Rate20VAT rateYes
Despatch_Date"0000-00-00T00:00:00.000Z" Date item was despatchedNo
DetailsnullObject containing additional details about the order lineNo
Status_Sent_To_Host"0000-00-00T00:00:00.000Z" Date the last status was sent to the marketplace or hostNo
Return_Action""Return actionNo
Return_Reason""Reason for cancellation or returnNo
Return_CreditfalsetestNo
Net_Own_Currency0testNo
Picked_Qty0Quantity pickedNo
Return_Qty0Quantity returnedNo
Parcel_Ref""If set this will be the shipping parcel refNo

Retail Order Item Methods​

GET /api/retailorderitem?orderhdrrsn=1​

Returns all retail order items.

NOTE: When posting in an order the system will try and match the product passed on both SKUSize and Barcode to optimise matching. As SKUSize can contain multiple spaces between colour code and size letter this may provide you with an issue. To work around this you can replace spaces with underscores in the SKUSize field. If you pass back a SKUSize with underscores these will automatically be replaced with spaces for matching purposes.

Q. Why no POST option. A. All items must be sent as part of the retailorder message.